# IceGrid::DistributionDescriptor

## Overview

### [ "cpp:comparable" ] struct DistributionDescriptor

A distribution descriptor defines an IcePatch2 server and the directories to retrieve from the patch server.

#### Used By

ApplicationDescriptor::distrib
BoxedDistributionDescriptor::value
ServerDescriptor::distrib

## Data Members

string icepatch;

  The proxy of the IcePatch2 server.

[ "java:type:java.util.LinkedList" ] ::Ice::StringSeq directories;

  The source directories.